TestDefaults (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.TestDefaults class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap
Class TestDefaults

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.martiansoftware.jsap.TestDefaults

All Implemented Interfaces:
  junit.framework.Test

    public class TestDefaults

extends junit.framework.TestCase

Tests JSAP's handling of default values.

Author:
  Marty Lamb

Constructor Summary
`TestDefaults()`

Method Summary
`void` | `setUp()` Configures the JSAP object for the tests.
`static junit.framework.Test` | `suite()` Returns the tests defined in this class.
`void` | `tearDown()` Cleans up the JSAP object.
`void` | `testConfig()` Ensures that the setUp() method was successful.
`void` | `testDefaults2()` Another test of parameter-level defaults.
`void` | `testOneLevelDefaults()` Tests a single level of property defaults.
`void` | `testRequired()` Tests JSAP's enforcing of required parameters.
`void` | `testSimpleDefault()` Tests the parameter-level defaults.

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestDefaults

    public TestDefaults()

Method Detail

### suite

    public static junit.framework.Test suite()

  Returns the tests defined in this class.

  Returns:
    the tests defined in this class.

### testConfig

    public void testConfig()

  Ensures that the setUp() method was successful.

### testSimpleDefault

    public void testSimpleDefault()

  Tests the parameter-level defaults.

### testDefaults2

    public void testDefaults2()

  Another test of parameter-level defaults.

### testRequired

    public void testRequired()

  Tests JSAP's enforcing of required parameters.

### testOneLevelDefaults

    public void testOneLevelDefaults()

  Tests a single level of property defaults.

### setUp

    public void setUp()
               throws JSAPException

  Configures the JSAP object for the tests.

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `JSAPException` - if the JSAP object cannot be instantiated.

### tearDown

    public void tearDown()

  Cleans up the JSAP object.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap